summaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorAndy Neff <andyneff@users.noreply.github.com>2020-06-17 21:03:51 -0400
committerGitHub <noreply@github.com>2020-06-17 18:03:51 -0700
commit9fe5f336f8084476fddbccbbcc0c4462840162e1 (patch)
tree0d1aae30db429d7cace8fd1badfd393bb2179480 /test
parent39da42d6d07d976c6997909678be821410cb81ff (diff)
downloadmakeself-9fe5f336f8084476fddbccbbcc0c4462840162e1.tar.gz
Fix append (#217)
* Fix initial bug Signed-off-by: Andy Neff <andy@visionsystemsinc.com> * Improve append test a little - Make the append test require the files get bigger at least Signed-off-by: Andy Neff <andy@visionsystemsinc.com> * Better append test improvement Signed-off-by: Andy Neff <andy@visionsystemsinc.com>
Diffstat (limited to 'test')
-rwxr-xr-xtest/appendtest16
1 files changed, 15 insertions, 1 deletions
diff --git a/test/appendtest b/test/appendtest
index 3edb9b9..a078cb1 100755
--- a/test/appendtest
+++ b/test/appendtest
@@ -7,12 +7,20 @@ setupTests() {
temp=`mktemp -d -t appendtest.XXXXX`
cd "$temp"
mkdir archive
- cp -a $SOURCE archive/
+ cp -a $SOURCE archive/
$SUT $* archive makeself-test.run "Test $*" echo Testing --tar-extra="--exclude .git"
mkdir -p append/append_dir/
cp -a $SOURCE/makeself.sh append/append_dir/
}
+checkFiles() {
+ ./makeself-test.run --target "$temp/extact"
+ test -f "$temp/extact/append_dir/makeself.sh"
+ assertEqual $? 0
+ test -f "$temp/extact/makeself/makeself.sh"
+ assertEqual $? 0
+}
+
testGzip()
{
@@ -22,6 +30,8 @@ testGzip()
assertEqual $? 0
./makeself-test.run --check
assertEqual $? 0
+
+ checkFiles
}
@@ -33,6 +43,8 @@ testNocomp()
assertEqual $? 0
./makeself-test.run --check
assertEqual $? 0
+
+ checkFiles
}
testBzip2()
@@ -43,6 +55,8 @@ testBzip2()
assertEqual $? 0
./makeself-test.run --check
assertEqual $? 0
+
+ checkFiles
}
source bashunit/bashunit.bash